Is it safe to upgrade to TypeScript v0.9 ? Will it still work with PHPStorm and WebStorm ?

Do you know if PHPStorm and WebStorm have any issues with the newest version of TypeScript (v0.9) that was released yesterday?
Is it safe to upgrade my installation ?


Thank you very much and best regards

2 comments

Hello!

yes, it's safe to upgrade. Note that some new TypeScript features (generics, etc.) are not yet supported - see http://youtrack.jetbrains.com/issue/WEB-7596, http://youtrack.jetbrains.com/issue/WEB-7445, http://youtrack.jetbrains.com/issue/WEB-7999

Best regards,
Lena

0

Please sign in to leave a comment.